Launcher error - [SSL: CERTIFICATE_VERIFY_FAILED]

Discussion in 'Bug Reports' started by Fixious, Dec 4, 2015.

  1. Fixious

    Fixious Test Lead

    The launcher appears to be stuck on 'Checking for game updates.'

    Code:
    2015-12-03 23:01:23,891: legionslauncher.gui.LegionsLauncher INFO: Testing for DirectX...
    2015-12-03 23:01:23,996: legionslauncher.gui.LegionsLauncher INFO: DirectX found
    2015-12-03 23:01:24,690: legionslauncher.launcher_update INFO: Checking for launcher update
    2015-12-03 23:01:24,806: legionslauncher.launcher_update INFO: Launcher currently at latest version
    2015-12-03 23:01:24,812: legionslauncher.game_update.GameUpdater INFO: Downloading channel info
    2015-12-03 23:01:25,069: requests.packages.urllib3.connectionpool INFO: Starting new HTTPS connection (1): accounts.legionsoverdrive.com
    2015-12-03 23:01:26,762: root CRITICAL: Traceback (most recent call last):
      File "z:\legionslauncher\legionslauncher\update_thread.py", line 46, in run
      File "z:\legionslauncher\legionslauncher\game_update.py", line 96, in start_update
      File "z:\legionslauncher\legionslauncher\game_update.py", line 131, in load_channel_info
      File "c:\Development\legionslauncher\pyenv\lib\site-packages\requests\sessions.py", line 477, in get
      File "c:\Development\legionslauncher\pyenv\lib\site-packages\requests\sessions.py", line 465, in request
      File "c:\Development\legionslauncher\pyenv\lib\site-packages\requests\sessions.py", line 573, in send
      File "c:\Development\legionslauncher\pyenv\lib\site-packages\requests\adapters.py", line 431, in send
    SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)
     
  2. Accelerate

    Accelerate Private Tester

    Legions is literally my life. Why would you do this to us?
     
    k e v i n likes this.
  3. Fixious

    Fixious Test Lead

    The game will run fine unless there's an update. Just launch Legions.exe for now.
     
  4. GReaper

    GReaper Grumpy

    Ooops - I've reverted the change until I can put in the proper fix for the new SSL certificate.
     
    Jordahan likes this.
  5. GReaper

    GReaper Grumpy

    And I've switched back to the new certificate again.

    The updated launcher (version 0.6.13) should work with it.